import com.controller.UserController;
import com.service.MqService;
import com.service.UserService;
import com.service.impl.MqServiceImpl;
import com.service.impl.UserServiceImpl;
import org.springframework.beans.factory.BeanFactory;
import org.springframework.context.ApplicationContext;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.support.ClassPathXmlApplicationContext;
import org.springframework.context.support.FileSystemXmlApplicationContext;

public class Main {
    public static void main(String[] args) throws Exception {
        ApplicationContext applicationContext = new ClassPathXmlApplicationContext("context.xml");
        BeanFactory beanFactory = (BeanFactory) applicationContext;
//        ApplicationContext applicationContext = new FileSystemXmlApplicationContext("C:\\java\\renren\\spring_demo\\src\\main\\resources\\context.xml");
        Object userController = beanFactory.getBean(UserController.class);
        UserService bean = applicationContext.getBean(UserServiceImpl.class);

        // userService1 在 xml文件中定义
        MqService mqService =(MqService) applicationContext.getBean(MqServiceImpl.class);
//        mqService.pushRabbitMessage();
//        Thread.sleep(2000);
//        mqService.listenRabbitQueue();
    }

}
